<?php
/**
 * home_m_view.php - HTML template for home multi-view
 *
 * @author $Author: wichai $
 * @version $Id: home_m_view.php,v 1.42 2011/08/11 11:00:23 wichai Exp $
 * @copyright Copyright (c) 2009, Tiller Software Co., Ltd.
*/
$menu_td_style = 'border-right:0px;margin:0px;padding:0px;min-width:250px;max-width:350px;';
$menu_div_style = 'height:100%;max-height:100%;overflow:auto;width:100%;';
if ( strtolower($this->agent->browser()) == 'internet explorer' ) {
	$menu_td_style .= 'overflow:auto;';
	$menu_div_style .= 'table-layout:fixed;display:table;';
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<meta http-equiv="pragma" content="no-cache" />
<meta http-equiv="cache-control" content="no-cache" />
<meta http-equiv="expires" content="0" />
<link rel="shortcut icon" href="<?php echo osa_imagepath() . 'favicon.ico'?>" />
<?php
   $this->load->view('template/all_jscript_view');
   $this->load->view('template/jscript_globalvars_view');
 	// (issue: 144) move down the override jstree css to bottom of the page before </body>
 	//$this->load->view('template/dynamic_css_view');
?>
<script type="text/javascript">
	countdownpost(<?php echo $this->config->item('cms_sess_time_to_update')?>,<?php echo $this->config->item('cms_sess_expiration')?>);
	if( document.captureEvents && Event.CLICK ) {
		document.captureEvents( Event.CLICK );
	}
		document.onclick = alertkey;

	if( document.captureEvents && Event.KEYUP ) {
		document.captureEvents( Event.KEYUP );
	}
	document.onkeyup = alertkey;
	function alertkey(e) {
		mouse_click = true;
	}
</script>
<title><?php echo $this->config->item('cms_site_title');?></title>
</head>
<body>
<table width="100%" cellspacing="0" cellpadding="0" style="height: 100%">
<tr>
   <td colspan="2" style="border-bottom:0px; height: 90px">
      <div id="header"><?php $this->load->view('template/header_view', $user); ?></div>
   </td>
</tr>
<tr style="height: 100%">
  <td width="25%" valign="top" align="left" nowrap="nowrap" class="homeline" id= "left_panel" style="<?php echo $menu_td_style?>">
  <?php // hide tree panel ?>
  <a href="" id="hide_panel_button" onClick="toggleTreePanel();return false;"><?php echo lang('home_treepanel_hide');?></a>
       <div id="menu" style="<?php echo $menu_div_style?>">
       <?php if ($load_php_views) $this->load->view('template/menutree_view'); ?>
       </div>
   </td>
   <?php //Width is 5000 to force IE to behave like other browsers else the menu panel is mostly at its max size?>
   <td width="5000" valign="top" align="left" class="homeline">
   	<?php // show tree panel ?>
   	<a href="" id="show_panel_button" onClick="toggleTreePanel();return false;" style="display:none;"><?php echo lang('home_treepanel_show');?></a>
      <div id="page_content"><?php if ($load_php_views) $this->load->view('template/content_view'); ?></div>
   </td>
</tr>
<tr>
   <td colspan="2">
      <div id="footer"><?php $this->load->view('template/footer_view'); ?></div>
   </td>
</tr>
</table>
<?php $this->load->view('template/dynamic_css_view')?>
<script type="text/javascript">
<!--
	shrinkMenuDiv('grade_tree');
//-->
</script>
</body>
</html>